; kernel32.inc - Copyright 2000 Joost Vrielink
; Procedure declarations for API's exported by kernel32.dll. This file is shipped
; with Tasm IDE.
ideal

;procdesc HeapSize WINAPI
;procdesc AddAtomA WINAPI
;procdesc AddAtomW WINAPI
;procdesc AddConsoleAliasA WINAPI
;procdesc AddConsoleAliasW WINAPI
;procdesc AllocConsole WINAPI
;procdesc AllocLSCallback WINAPI
;procdesc AllocSLCallback WINAPI
;procdesc AreFileApisANSI WINAPI
;procdesc BackupRead WINAPI
;procdesc BackupSeek WINAPI
;procdesc BackupWrite WINAPI
;procdesc BaseAttachCompleteThunk WINAPI
;procdesc BasepDebugDump WINAPI
;procdesc Beep WINAPI
;procdesc BeginUpdateResourceA WINAPI
;procdesc BeginUpdateResourceW WINAPI
;procdesc BuildCommDCBA WINAPI
;procdesc BuildCommDCBAndTimeoutsA WINAPI
;procdesc BuildCommDCBAndTimeoutsW WINAPI
;procdesc BuildCommDCBW WINAPI
;procdesc CallNamedPipeA WINAPI
;procdesc CallNamedPipeW WINAPI
;procdesc CancelIo WINAPI
;procdesc CancelWaitableTimer WINAPI
;procdesc ClearCommBreak WINAPI
;procdesc ClearCommError WINAPI
;procdesc CloseConsoleHandle WINAPI
;procdesc CloseHandle WINAPI
;procdesc CloseProfileUserMapping WINAPI
;procdesc CloseSystemHandle WINAPI
;procdesc CmdBatNotification WINAPI
;procdesc CommConfigDialogA WINAPI
;procdesc CommConfigDialogW WINAPI
;procdesc CompareFileTime WINAPI
;procdesc CompareStringA WINAPI
;procdesc CompareStringW WINAPI
;procdesc ConnectNamedPipe WINAPI
;procdesc ConsoleMenuControl WINAPI
;procdesc ConsoleSubst WINAPI
;procdesc ContinueDebugEvent WINAPI
;procdesc ConvertDefaultLocale WINAPI
;procdesc ConvertThreadToFiber WINAPI
;procdesc ConvertToGlobalHandle WINAPI
;procdesc CopyFileA WINAPI
;procdesc CopyFileExA WINAPI
;procdesc CopyFileExW WINAPI
;procdesc CopyFileW WINAPI
;procdesc CreateConsoleScreenBuffer WINAPI
;procdesc CreateDirectoryA WINAPI
;procdesc CreateDirectoryExA WINAPI
;procdesc CreateDirectoryExW WINAPI
;procdesc CreateDirectoryW WINAPI
;procdesc CreateEventA WINAPI
;procdesc CreateEventW WINAPI
;procdesc CreateFiber WINAPI
;procdesc CreateFileA WINAPI
;procdesc CreateFileMappingA WINAPI
;procdesc CreateFileMappingW WINAPI
;procdesc CreateFileW WINAPI
;procdesc CreateIoCompletionPort WINAPI
;procdesc CreateKernelThread WINAPI
;procdesc CreateMailslotA WINAPI
;procdesc CreateMailslotW WINAPI
;procdesc CreateMutexA WINAPI
;procdesc CreateMutexW WINAPI
;procdesc CreateNamedPipeA WINAPI
;procdesc CreateNamedPipeW WINAPI
;procdesc CreatePipe WINAPI
;procdesc CreateProcessA WINAPI
;procdesc CreateProcessW WINAPI
;procdesc CreateRemoteThread WINAPI
;procdesc CreateSemaphoreA WINAPI
;procdesc CreateSemaphoreW WINAPI
;procdesc CreateSocketHandle WINAPI
;procdesc CreateTapePartition WINAPI
;procdesc CreateThread WINAPI
;procdesc CreateToolhelp32Snapshot WINAPI
;procdesc CreateVirtualBuffer WINAPI
;procdesc CreateWaitableTimerA WINAPI
;procdesc CreateWaitableTimerW WINAPI
;procdesc DebugActiveProcess WINAPI
;procdesc DebugBreak WINAPI
;procdesc DefineDosDeviceA WINAPI
;procdesc DefineDosDeviceW WINAPI
;procdesc DeleteAtom WINAPI
;procdesc DeleteCriticalSection WINAPI
;procdesc DeleteFiber WINAPI
;procdesc DeleteFileA WINAPI
;procdesc DeleteFileW WINAPI
;procdesc DeviceIoControl WINAPI
;procdesc DisableThreadLibraryCalls WINAPI
;procdesc DisconnectNamedPipe WINAPI
;procdesc DosDateTimeToFileTime WINAPI
;procdesc DuplicateConsoleHandle WINAPI
;procdesc DuplicateHandle WINAPI
;procdesc EndUpdateResourceA WINAPI
;procdesc EndUpdateResourceW WINAPI
;procdesc EnterCriticalSection WINAPI
;procdesc EnumCalendarInfoA WINAPI
;procdesc EnumCalendarInfoW WINAPI
;procdesc EnumDateFormatsA WINAPI
;procdesc EnumDateFormatsW WINAPI
;procdesc EnumResourceLanguagesA WINAPI
;procdesc EnumResourceLanguagesW WINAPI
;procdesc EnumResourceNamesA WINAPI
;procdesc EnumResourceNamesW WINAPI
;procdesc EnumResourceTypesA WINAPI
;procdesc EnumResourceTypesW WINAPI
;procdesc EnumSystemCodePagesA WINAPI
;procdesc EnumSystemCodePagesW WINAPI
;procdesc EnumSystemLocalesA WINAPI
;procdesc EnumSystemLocalesW WINAPI
;procdesc EnumTimeFormatsA WINAPI
;procdesc EnumTimeFormatsW WINAPI
;procdesc EraseTape WINAPI
;procdesc EscapeCommFunction WINAPI
procdesc ExitProcess WINAPI :DWORD
;procdesc ExitThread WINAPI
;procdesc ExitVDM WINAPI

;procdesc ExpandEnvironmentStringsA WINAPI
;procdesc ExpandEnvironmentStringsW WINAPI
;procdesc ExpungeConsoleCommandHistoryA WINAPI
;procdesc ExpungeConsoleCommandHistoryW WINAPI
;procdesc ExtendVirtualBuffer WINAPI
;procdesc FatalAppExitA WINAPI
;procdesc FatalAppExitW WINAPI
;procdesc FatalExit WINAPI
;procdesc FileTimeToDosDateTime WINAPI
;procdesc FileTimeToLocalFileTime WINAPI
;procdesc FileTimeToSystemTime WINAPI
;procdesc FillConsoleOutputAttribute WINAPI
;procdesc FillConsoleOutputCharacterA WINAPI
;procdesc FillConsoleOutputCharacterW WINAPI
;procdesc FindAtomA WINAPI
;procdesc FindAtomW WINAPI
;procdesc FindClose WINAPI
;procdesc FindCloseChangeNotification WINAPI
;procdesc FindFirstChangeNotificationA WINAPI
;procdesc FindFirstChangeNotificationW WINAPI
;procdesc FindFirstFileA WINAPI
;procdesc FindFirstFileExA WINAPI
;procdesc FindFirstFileExW WINAPI
;procdesc FindFirstFileW WINAPI
;procdesc FindNextChangeNotification WINAPI
;procdesc FindNextFileA WINAPI
;procdesc FindNextFileW WINAPI
;procdesc FindResourceA WINAPI
;procdesc FindResourceExA WINAPI
;procdesc FindResourceExW WINAPI
;procdesc FindResourceW WINAPI
;procdesc FlushConsoleInputBuffer WINAPI
;procdesc FlushFileBuffers WINAPI
;procdesc FlushInstructionCache WINAPI
;procdesc FlushViewOfFile WINAPI
;procdesc FoldStringA WINAPI
;procdesc FoldStringW WINAPI
;procdesc FormatMessageA WINAPI
;procdesc FormatMessageW WINAPI
;procdesc FreeConsole WINAPI
;procdesc FreeEnvironmentStringsA WINAPI
;procdesc FreeEnvironmentStringsW WINAPI
;procdesc FreeLSCallback WINAPI
;procdesc FreeLibrary WINAPI
;procdesc FreeLibraryAndExitThread WINAPI
;procdesc FreeResource WINAPI
;procdesc FreeSLCallback WINAPI
;procdesc FreeVirtualBuffer WINAPI
;procdesc GenerateConsoleCtrlEvent WINAPI
;procdesc GetACP WINAPI
;procdesc GetAtomNameA WINAPI
;procdesc GetAtomNameW WINAPI
;procdesc GetBinaryType WINAPI
;procdesc GetBinaryTypeA WINAPI
;procdesc GetBinaryTypeW WINAPI
;procdesc GetCPInfo WINAPI
;procdesc GetCommConfig WINAPI
;procdesc GetCommMask WINAPI
;procdesc GetCommModemStatus WINAPI
;procdesc GetCommProperties WINAPI
;procdesc GetCommState WINAPI
;procdesc GetCommTimeouts WINAPI
;procdesc GetCommandLineA WINAPI
;procdesc GetCommandLineW WINAPI
;procdesc GetCompressedFileSizeA WINAPI
;procdesc GetCompressedFileSizeW WINAPI
;procdesc GetComputerNameA WINAPI
;procdesc GetComputerNameW WINAPI
;procdesc GetConsoleAliasA WINAPI
;procdesc GetConsoleAliasExesA WINAPI
;procdesc GetConsoleAliasExesLengthA WINAPI
;procdesc GetConsoleAliasExesLengthW WINAPI
;procdesc GetConsoleAliasExesW WINAPI
;procdesc GetConsoleAliasW WINAPI
;procdesc GetConsoleAliasesA WINAPI
;procdesc GetConsoleAliasesLengthA WINAPI
;procdesc GetConsoleAliasesLengthW WINAPI
;procdesc GetConsoleAliasesW WINAPI
;procdesc GetConsoleCP WINAPI
;procdesc GetConsoleCommandHistoryA WINAPI
;procdesc GetConsoleCommandHistoryLengthA WINAPI
;procdesc GetConsoleCommandHistoryLengthW WINAPI
;procdesc GetConsoleCommandHistoryW WINAPI
;procdesc GetConsoleCursorInfo WINAPI
;procdesc GetConsoleDisplayMode WINAPI
;procdesc GetConsoleFontInfo WINAPI
;procdesc GetConsoleFontSize WINAPI
;procdesc GetConsoleHardwareState WINAPI
;procdesc GetConsoleInputExeNameA WINAPI
;procdesc GetConsoleInputExeNameW WINAPI
;procdesc GetConsoleInputWaitHandle WINAPI
;procdesc GetConsoleKeyboardLayoutNameA WINAPI
;procdesc GetConsoleKeyboardLayoutNameW WINAPI
;procdesc GetConsoleMode WINAPI
;procdesc GetConsoleOutputCP WINAPI
;procdesc GetConsoleScreenBufferInfo WINAPI
;procdesc GetConsoleTitleA WINAPI
;procdesc GetConsoleTitleW WINAPI
;procdesc GetCurrencyFormatA WINAPI
;procdesc GetCurrencyFormatW WINAPI
;procdesc GetCurrentConsoleFont WINAPI
;procdesc GetCurrentDirectoryA WINAPI
;procdesc GetCurrentDirectoryW WINAPI
;procdesc GetCurrentProcess WINAPI
;procdesc GetCurrentProcessId WINAPI
;procdesc GetCurrentThread WINAPI
;procdesc GetCurrentThreadId WINAPI
;procdesc GetDateFormatA WINAPI
;procdesc GetDateFormatW WINAPI
;procdesc GetDaylightFlag WINAPI
;procdesc GetDefaultCommConfigA WINAPI
;procdesc GetDefaultCommConfigW WINAPI
;procdesc GetDiskFreeSpaceA WINAPI
;procdesc GetDiskFreeSpaceExA WINAPI
;procdesc GetDiskFreeSpaceExW WINAPI
;procdesc GetDiskFreeSpaceW WINAPI
;procdesc GetDriveTypeA WINAPI
;procdesc GetDriveTypeW WINAPI
;procdesc GetEnvironmentStrings WINAPI
;procdesc GetEnvironmentStringsA WINAPI
;procdesc GetEnvironmentStringsW WINAPI
;procdesc GetEnvironmentVariableA WINAPI
;procdesc GetEnvironmentVariableW WINAPI
;procdesc GetErrorMode WINAPI
;procdesc GetExitCodeProcess WINAPI
;procdesc GetExitCodeThread WINAPI
;procdesc GetFileAttributesA WINAPI
;procdesc GetFileAttributesExA WINAPI
;procdesc GetFileAttributesExW WINAPI
;procdesc GetFileAttributesW WINAPI
;procdesc GetFileInformationByHandle WINAPI
;procdesc GetFileSize WINAPI
;procdesc GetFileTime WINAPI
;procdesc GetFileType WINAPI
;procdesc GetFullPathNameA WINAPI
;procdesc GetFullPathNameW WINAPI
;procdesc GetHandleContext WINAPI
;procdesc GetHandleInformation WINAPI
;procdesc GetLSCallbackTarget WINAPI
;procdesc GetLSCallbackTemplate WINAPI
;procdesc GetLargestConsoleWindowSize WINAPI
;procdesc GetLastError WINAPI
;procdesc GetLocalTime WINAPI
;procdesc GetLocaleInfoA WINAPI
;procdesc GetLocaleInfoW WINAPI
;procdesc GetLogicalDriveStringsA WINAPI
;procdesc GetLogicalDriveStringsW WINAPI
;procdesc GetLogicalDrives WINAPI
;procdesc GetMailslotInfo WINAPI
;procdesc GetModuleFileNameA WINAPI
;procdesc GetModuleFileNameW WINAPI
procdesc GetModuleHandleA WINAPI :DWORD
procdesc GetModuleHandleW WINAPI :DWORD
;procdesc GetNamedPipeHandleStateA WINAPI
;procdesc GetNamedPipeHandleStateW WINAPI
;procdesc GetNamedPipeInfo WINAPI
;procdesc GetNextVDMCommand WINAPI
;procdesc GetNumberFormatA WINAPI
;procdesc GetNumberFormatW WINAPI
;procdesc GetNumberOfConsoleFonts WINAPI
;procdesc GetNumberOfConsoleInputEvents WINAPI
;procdesc GetNumberOfConsoleMouseButtons WINAPI
;procdesc GetOEMCP WINAPI
;procdesc GetOverlappedResult WINAPI
;procdesc GetPriorityClass WINAPI
;procdesc GetPrivateProfileIntA WINAPI
;procdesc GetPrivateProfileIntW WINAPI
;procdesc GetPrivateProfileSectionA WINAPI
;procdesc GetPrivateProfileSectionNamesA WINAPI
;procdesc GetPrivateProfileSectionNamesW WINAPI
;procdesc GetPrivateProfileSectionW WINAPI
;procdesc GetPrivateProfileStringA WINAPI
;procdesc GetPrivateProfileStringW WINAPI
;procdesc GetPrivateProfileStructA WINAPI
;procdesc GetPrivateProfileStructW WINAPI
;procdesc GetProcAddress WINAPI
;procdesc GetProcessAffinityMask WINAPI
;procdesc GetProcessFlags WINAPI
;procdesc GetProcessHeap WINAPI
;procdesc GetProcessHeaps WINAPI
;procdesc GetProcessPriorityBoost WINAPI
;procdesc GetProcessShutdownParameters WINAPI
;procdesc GetProcessTimes WINAPI
;procdesc GetProcessVersion WINAPI
;procdesc GetProcessWorkingSetSize WINAPI
;procdesc GetProductName WINAPI
;procdesc GetProfileIntA WINAPI
;procdesc GetProfileIntW WINAPI
;procdesc GetProfileSectionA WINAPI
;procdesc GetProfileSectionW WINAPI
;procdesc GetProfileStringA WINAPI
;procdesc GetProfileStringW WINAPI
;procdesc GetQueuedCompletionStatus WINAPI
;procdesc GetSLCallbackTarget WINAPI
;procdesc GetSLCallbackTemplate WINAPI
;procdesc GetShortPathNameA WINAPI
;procdesc GetShortPathNameW WINAPI
;procdesc GetStartupInfoA WINAPI
;procdesc GetStartupInfoW WINAPI
;procdesc GetStdHandle WINAPI
;procdesc GetStringTypeA WINAPI
;procdesc GetStringTypeExA WINAPI
;procdesc GetStringTypeExW WINAPI
;procdesc GetStringTypeW WINAPI
;procdesc GetSystemDefaultLCID WINAPI
;procdesc GetSystemDefaultLangID WINAPI
;procdesc GetSystemDirectoryA WINAPI
;procdesc GetSystemDirectoryW WINAPI
;procdesc GetSystemInfo WINAPI
;procdesc GetSystemPowerStatus WINAPI
;procdesc GetSystemTime WINAPI
;procdesc GetSystemTimeAdjustment WINAPI
;procdesc GetSystemTimeAsFileTime WINAPI
;procdesc GetTapeParameters WINAPI
;procdesc GetTapePosition WINAPI
;procdesc GetTapeStatus WINAPI
;procdesc GetTempFileNameA WINAPI
;procdesc GetTempFileNameW WINAPI
;procdesc GetTempPathA WINAPI
;procdesc GetTempPathW WINAPI
;procdesc GetThreadContext WINAPI
;procdesc GetThreadLocale WINAPI
;procdesc GetThreadPriority WINAPI
;procdesc GetThreadPriorityBoost WINAPI
;procdesc GetThreadSelectorEntry WINAPI
;procdesc GetThreadTimes WINAPI
;procdesc GetTickCount WINAPI
;procdesc GetTimeFormatA WINAPI
;procdesc GetTimeFormatW WINAPI
;procdesc GetTimeZoneInformation WINAPI
;procdesc GetUserDefaultLCID WINAPI
;procdesc GetUserDefaultLangID WINAPI
;procdesc GetVDMCurrentDirectories WINAPI
;procdesc GetVersion WINAPI
;procdesc GetVersionExA WINAPI
;procdesc GetVersionExW WINAPI
;procdesc GetVolumeInformationA WINAPI
;procdesc GetVolumeInformationW WINAPI
;procdesc GetWindowsDirectoryA WINAPI
;procdesc GetWindowsDirectoryW WINAPI
;procdesc GlobalAddAtomA WINAPI
;procdesc GlobalAddAtomW WINAPI
;procdesc GlobalAlloc WINAPI
;procdesc GlobalCompact WINAPI
;procdesc GlobalDeleteAtom WINAPI
;procdesc GlobalFindAtomA WINAPI
;procdesc GlobalFindAtomW WINAPI
;procdesc GlobalFix WINAPI
;procdesc GlobalFlags WINAPI
;procdesc GlobalFree WINAPI
;procdesc GlobalGetAtomNameA WINAPI
;procdesc GlobalGetAtomNameW WINAPI
;procdesc GlobalHandle WINAPI
;procdesc GlobalLock WINAPI
;procdesc GlobalMemoryStatus WINAPI
;procdesc GlobalReAlloc WINAPI
;procdesc GlobalSize WINAPI
;procdesc GlobalUnWire WINAPI
;procdesc GlobalUnfix WINAPI
;procdesc GlobalUnlock WINAPI
;procdesc GlobalWire WINAPI
;procdesc Heap32First WINAPI
;procdesc Heap32ListFirst WINAPI
;procdesc Heap32ListNext WINAPI
;procdesc Heap32Next WINAPI
;procdesc HeapAlloc WINAPI
;procdesc HeapCompact WINAPI
;procdesc HeapCreate WINAPI
;procdesc HeapCreateTagsW WINAPI
;procdesc HeapDestroy WINAPI
;procdesc HeapExtend WINAPI
;procdesc HeapFree WINAPI
;procdesc HeapLock WINAPI
;procdesc HeapQueryTagW WINAPI
;procdesc HeapReAlloc WINAPI
;procdesc HeapSetFlags WINAPI
;procdesc HeapSummary WINAPI
;procdesc HeapUnlock WINAPI
;procdesc HeapUsage WINAPI
;procdesc HeapValidate WINAPI
;procdesc HeapWalk WINAPI
;procdesc InitAtomTable WINAPI
;procdesc InitializeCriticalSection WINAPI
;procdesc InterlockedCompareExchange WINAPI
;procdesc InterlockedDecrement WINAPI
;procdesc InterlockedExchange WINAPI
;procdesc InterlockedExchangeAdd WINAPI
;procdesc InterlockedIncrement WINAPI
;procdesc InvalidateConsoleDIBits WINAPI
;procdesc InvalidateNLSCache WINAPI
;procdesc IsBadCodePtr WINAPI
;procdesc IsBadHugeReadPtr WINAPI
;procdesc IsBadHugeWritePtr WINAPI
;procdesc IsBadReadPtr WINAPI
;procdesc IsBadStringPtrA WINAPI

;procdesc IsBadStringPtrW WINAPI
;procdesc IsBadWritePtr WINAPI
;procdesc IsDBCSLeadByte WINAPI
;procdesc IsDBCSLeadByteEx WINAPI
;procdesc IsDebuggerPresent WINAPI
;procdesc IsLSCallback WINAPI
;procdesc IsProcessorFeaturePresent WINAPI
;procdesc IsSLCallback WINAPI
;procdesc IsValidCodePage WINAPI
;procdesc IsValidLocale WINAPI
;procdesc K32Thk1632Epilog WINAPI
;procdesc K32Thk1632Prolog WINAPI
;procdesc LCMapStringA WINAPI
;procdesc LCMapStringW WINAPI
;procdesc LeaveCriticalSection WINAPI
;procdesc LoadLibraryA WINAPI
;procdesc LoadLibraryExA WINAPI
;procdesc LoadLibraryExW WINAPI
;procdesc LoadLibraryW WINAPI
;procdesc LoadModule WINAPI
;procdesc LoadResource WINAPI
;procdesc LocalAlloc WINAPI
;procdesc LocalCompact WINAPI
;procdesc LocalFileTimeToFileTime WINAPI
;procdesc LocalFlags WINAPI
;procdesc LocalFree WINAPI
;procdesc LocalHandle WINAPI
;procdesc LocalLock WINAPI
;procdesc LocalReAlloc WINAPI
;procdesc LocalShrink WINAPI
;procdesc LocalSize WINAPI
;procdesc LocalUnlock WINAPI
;procdesc LockFile WINAPI
;procdesc LockFileEx WINAPI
;procdesc LockResource WINAPI
;procdesc MakeCriticalSectionGlobal WINAPI
;procdesc MapHInstLS WINAPI
;procdesc MapHInstLS_PN WINAPI
;procdesc MapHInstSL WINAPI
;procdesc MapHInstSL_PN WINAPI
;procdesc MapHModuleLS WINAPI
;procdesc MapHModuleSL WINAPI
;procdesc MapLS WINAPI
;procdesc MapSL WINAPI
;procdesc MapSLFix WINAPI
;procdesc MapViewOfFile WINAPI
;procdesc MapViewOfFileEx WINAPI
;procdesc Module32First WINAPI
;procdesc Module32Next WINAPI
;procdesc MoveFileA WINAPI
;procdesc MoveFileExA WINAPI
;procdesc MoveFileExW WINAPI
;procdesc MoveFileW WINAPI
;procdesc MulDiv WINAPI
;procdesc MultiByteToWideChar WINAPI
;procdesc NotifyNLSUserCache WINAPI
;procdesc OpenConsoleW WINAPI
;procdesc OpenEventA WINAPI
;procdesc OpenEventW WINAPI
;procdesc OpenFile WINAPI
;procdesc OpenFileMappingA WINAPI
;procdesc OpenFileMappingW WINAPI
;procdesc OpenMutexA WINAPI
;procdesc OpenMutexW WINAPI
;procdesc OpenProcess WINAPI
;procdesc OpenProfileUserMapping WINAPI
;procdesc OpenSemaphoreA WINAPI
;procdesc OpenSemaphoreW WINAPI
;procdesc OpenVxDHandle WINAPI
;procdesc OpenWaitableTimerA WINAPI
;procdesc OpenWaitableTimerW WINAPI
;procdesc OutputDebugStringA WINAPI
;procdesc OutputDebugStringW WINAPI
;procdesc PeekConsoleInputA WINAPI
;procdesc PeekConsoleInputW WINAPI
;procdesc PeekNamedPipe WINAPI
;procdesc PostQueuedCompletionStatus WINAPI
;procdesc PrepareTape WINAPI
;procdesc Process32First WINAPI
;procdesc Process32Next WINAPI
;procdesc PulseEvent WINAPI
;procdesc PurgeComm WINAPI
;procdesc QT_Thunk WINAPI
;procdesc QueryDosDeviceA WINAPI
;procdesc QueryDosDeviceW WINAPI
;procdesc QueryNumberOfEventLogRecords WINAPI
;procdesc QueryOldestEventLogRecord WINAPI
;procdesc QueryPerformanceCounter WINAPI
;procdesc QueryPerformanceFrequency WINAPI
;procdesc QueryWin31IniFilesMappedToRegis418 WINAPI
;procdesc QueryWin31IniFilesMappedToRegistry WINAPI
;procdesc QueueUserAPC WINAPI
;procdesc RaiseException WINAPI
;procdesc ReadConsoleA WINAPI
;procdesc ReadConsoleInputA WINAPI
;procdesc ReadConsoleInputExA WINAPI
;procdesc ReadConsoleInputExW WINAPI
;procdesc ReadConsoleInputW WINAPI
;procdesc ReadConsoleOutputA WINAPI
;procdesc ReadConsoleOutputAttribute WINAPI
;procdesc ReadConsoleOutputCharacterA WINAPI
;procdesc ReadConsoleOutputCharacterW WINAPI
;procdesc ReadConsoleOutputW WINAPI
;procdesc ReadConsoleW WINAPI
;procdesc ReadDirectoryChangesW WINAPI
;procdesc ReadFile WINAPI
;procdesc ReadFileEx WINAPI
;procdesc ReadProcessMemory WINAPI
;procdesc RegisterConsoleVDM WINAPI
;procdesc RegisterServiceProcess WINAPI
;procdesc RegisterWaitForInputIdle WINAPI
;procdesc RegisterWowBaseHandlers WINAPI
;procdesc RegisterWowExec WINAPI
;procdesc ReinitializeCriticalSection WINAPI
;procdesc ReleaseMutex WINAPI
;procdesc ReleaseSemaphore WINAPI
;procdesc RemoveDirectoryA WINAPI
;procdesc RemoveDirectoryW WINAPI
;procdesc ResetEvent WINAPI
;procdesc ResumeThread WINAPI
;procdesc RtlFillMemory WINAPI
;procdesc RtlMoveMemory WINAPI
;procdesc RtlUnwind WINAPI
;procdesc RtlZeroMemory WINAPI
;procdesc SMapLS WINAPI
;procdesc ScrollConsoleScreenBufferA WINAPI
;procdesc ScrollConsoleScreenBufferW WINAPI
;procdesc SearchPathA WINAPI
;procdesc SearchPathW WINAPI
;procdesc SetCommBreak WINAPI
;procdesc SetCommConfig WINAPI
;procdesc SetCommMask WINAPI
;procdesc SetCommState WINAPI
;procdesc SetCommTimeouts WINAPI
;procdesc SetComputerNameA WINAPI
;procdesc SetComputerNameW WINAPI
;procdesc SetConsoleActiveScreenBuffer WINAPI
;procdesc SetConsoleCP WINAPI
;procdesc SetConsoleCommandHistoryMode WINAPI
;procdesc SetConsoleCtrlHandler WINAPI
;procdesc SetConsoleCursor WINAPI
;procdesc SetConsoleCursorInfo WINAPI
;procdesc SetConsoleCursorPosition WINAPI
;procdesc SetConsoleDisplayMode WINAPI
;procdesc SetConsoleFont WINAPI
;procdesc SetConsoleHardwareState WINAPI
;procdesc SetConsoleIcon WINAPI
;procdesc SetConsoleInputExeNameA WINAPI
;procdesc SetConsoleInputExeNameW WINAPI
;procdesc SetConsoleKeyShortcuts WINAPI
;procdesc SetConsoleMaximumWindowSize WINAPI
;procdesc SetConsoleMenuClose WINAPI
;procdesc SetConsoleMode WINAPI
;procdesc SetConsoleNumberOfCommandsA WINAPI
;procdesc SetConsoleNumberOfCommandsW WINAPI
;procdesc SetConsoleOutputCP WINAPI
;procdesc SetConsolePalette WINAPI
;procdesc SetConsoleScreenBufferSize WINAPI
;procdesc SetConsoleTextAttribute WINAPI
;procdesc SetConsoleTitleA WINAPI
;procdesc SetConsoleTitleW WINAPI
;procdesc SetConsoleWindowInfo WINAPI
;procdesc SetCurrentDirectoryA WINAPI
;procdesc SetCurrentDirectoryW WINAPI
;procdesc SetDaylightFlag WINAPI
;procdesc SetDefaultCommConfigA WINAPI
;procdesc SetDefaultCommConfigW WINAPI
;procdesc SetEndOfFile WINAPI
;procdesc SetEnvironmentVariableA WINAPI
;procdesc SetEnvironmentVariableW WINAPI
;procdesc SetErrorMode WINAPI
;procdesc SetEvent WINAPI
;procdesc SetFileApisToANSI WINAPI
;procdesc SetFileApisToOEM WINAPI
;procdesc SetFileAttributesA WINAPI
;procdesc SetFileAttributesW WINAPI
;procdesc SetFilePointer WINAPI
;procdesc SetFileTime WINAPI
;procdesc SetHandleContext WINAPI
;procdesc SetHandleCount WINAPI
;procdesc SetHandleInformation WINAPI
;procdesc SetLastConsoleEventActive WINAPI
;procdesc SetLastError WINAPI
;procdesc SetLocalTime WINAPI
;procdesc SetLocaleInfoA WINAPI
;procdesc SetLocaleInfoW WINAPI
;procdesc SetMailslotInfo WINAPI
;procdesc SetNamedPipeHandleState WINAPI
;procdesc SetPriorityClass WINAPI
;procdesc SetProcessAffinityMask WINAPI
;procdesc SetProcessPriorityBoost WINAPI
;procdesc SetProcessShutdownParameters WINAPI
;procdesc SetProcessWorkingSetSize WINAPI
;procdesc SetStdHandle WINAPI
;procdesc SetSystemPowerState WINAPI
;procdesc SetSystemTime WINAPI
;procdesc SetSystemTimeAdjustment WINAPI
;procdesc SetTapeParameters WINAPI
;procdesc SetTapePosition WINAPI
;procdesc SetThreadAffinityMask WINAPI
;procdesc SetThreadContext WINAPI
;procdesc SetThreadIdealProcessor WINAPI
;procdesc SetThreadLocale WINAPI
;procdesc SetThreadPriority WINAPI
;procdesc SetThreadPriorityBoost WINAPI
;procdesc SetTimeZoneInformation WINAPI
;procdesc SetUnhandledExceptionFilter WINAPI
;procdesc SetVDMCurrentDirectories WINAPI
;procdesc SetVolumeLabelA WINAPI
;procdesc SetVolumeLabelW WINAPI
;procdesc SetWaitableTimer WINAPI
;procdesc SetupComm WINAPI
;procdesc ShowConsoleCursor WINAPI
;procdesc SignalObjectAndWait WINAPI
;procdesc SizeofResource WINAPI
;procdesc Sleep WINAPI
;procdesc SleepEx WINAPI
;procdesc SuspendThread WINAPI
;procdesc SwitchToFiber WINAPI
;procdesc SwitchToThread WINAPI
;procdesc SystemTimeToFileTime WINAPI
;procdesc SystemTimeToTzSpecificLocalTime WINAPI
;procdesc TerminateProcess WINAPI
;procdesc TerminateThread WINAPI
;procdesc Thread32First WINAPI
;procdesc Thread32Next WINAPI
;procdesc ThunkConnect32 WINAPI
;procdesc TlsAlloc WINAPI
;procdesc TlsAllocInternal WINAPI
;procdesc TlsFree WINAPI
;procdesc TlsFreeInternal WINAPI
;procdesc TlsGetValue WINAPI
;procdesc TlsSetValue WINAPI
;procdesc Toolhelp32ReadProcessMemory WINAPI
;procdesc TransactNamedPipe WINAPI
;procdesc TransmitCommChar WINAPI
;procdesc TrimVirtualBuffer WINAPI
;procdesc TryEnterCriticalSection WINAPI
;procdesc UTRegister WINAPI
;procdesc UTUnRegister WINAPI
;procdesc UnMapLS WINAPI
;procdesc UnMapSLFixArray WINAPI
;procdesc UnhandledExceptionFilter WINAPI
;procdesc UninitializeCriticalSection WINAPI
;procdesc UnlockFile WINAPI
;procdesc UnlockFileEx WINAPI
;procdesc UnmapViewOfFile WINAPI
;procdesc UpdateResourceA WINAPI
;procdesc UpdateResourceW WINAPI
;procdesc VDMConsoleOperation WINAPI
;procdesc VDMOperationStarted WINAPI
;procdesc VerLanguageNameA WINAPI
;procdesc VerLanguageNameW WINAPI
;procdesc VerifyConsoleIoHandle WINAPI
;procdesc VirtualAlloc WINAPI
;procdesc VirtualAllocEx WINAPI
;procdesc VirtualBufferExceptionHandler WINAPI
;procdesc VirtualFree WINAPI
;procdesc VirtualFreeEx WINAPI
;procdesc VirtualLock WINAPI
;procdesc VirtualProtect WINAPI
;procdesc VirtualProtectEx WINAPI
;procdesc VirtualQuery WINAPI
;procdesc VirtualQueryEx WINAPI
;procdesc VirtualUnlock WINAPI
;procdesc WaitCommEvent WINAPI
;procdesc WaitForDebugEvent WINAPI
;procdesc WaitForMultipleObjects WINAPI
;procdesc WaitForMultipleObjectsEx WINAPI
;procdesc WaitForSingleObject WINAPI
;procdesc WaitForSingleObjectEx WINAPI
;procdesc WaitNamedPipeA WINAPI
;procdesc WaitNamedPipeW WINAPI
;procdesc WideCharToMultiByte WINAPI
;procdesc WinExec WINAPI
;procdesc WriteConsoleA WINAPI
;procdesc WriteConsoleInputA WINAPI
;procdesc WriteConsoleInputVDMA WINAPI
;procdesc WriteConsoleInputVDMW WINAPI
;procdesc WriteConsoleInputW WINAPI
;procdesc WriteConsoleOutputA WINAPI
;procdesc WriteConsoleOutputAttribute WINAPI
;procdesc WriteConsoleOutputCharacterA WINAPI
;procdesc WriteConsoleOutputCharacterW WINAPI
;procdesc WriteConsoleOutputW WINAPI
;procdesc WriteConsoleW WINAPI
;procdesc WriteFile WINAPI
;procdesc WriteFileEx WINAPI
;procdesc WritePrivateProfileSectionA WINAPI
;procdesc WritePrivateProfileSectionW WINAPI
;procdesc WritePrivateProfileStringA WINAPI
;procdesc WritePrivateProfileStringW WINAPI
;procdesc WritePrivateProfileStructA WINAPI
;procdesc WritePrivateProfileStructW WINAPI
;procdesc WriteProcessMemory WINAPI
;procdesc WriteProfileSectionA WINAPI
;procdesc WriteProfileSectionW WINAPI
;procdesc WriteProfileStringA WINAPI
;procdesc WriteProfileStringW WINAPI
;procdesc WriteTapemark WINAPI
;procdesc _DebugOut WINAPI
;procdesc _DebugPrintf WINAPI
;procdesc _hread WINAPI
;procdesc _hwrite WINAPI
;procdesc _lclose WINAPI
;procdesc _lcreat WINAPI
;procdesc _llseek WINAPI
;procdesc _lopen WINAPI
;procdesc _lread WINAPI
;procdesc _lwrite WINAPI
;procdesc dprintf WINAPI
;procdesc lstrcat WINAPI
;procdesc lstrcatA WINAPI
;procdesc lstrcatW WINAPI
;procdesc lstrcmp WINAPI
;procdesc lstrcmpA WINAPI
;procdesc lstrcmpW WINAPI
;procdesc lstrcmpi WINAPI
;procdesc lstrcmpiA WINAPI
;procdesc lstrcmpiW WINAPI
;procdesc lstrcpy WINAPI
;procdesc lstrcpyA WINAPI
;procdesc lstrcpyW WINAPI
;procdesc lstrcpyn WINAPI
;procdesc lstrcpynA WINAPI
;procdesc lstrcpynW WINAPI
;procdesc lstrlen WINAPI
;procdesc lstrlenA WINAPI
;procdesc lstrlenW WINAPI

ifdef UNICODE

AddAtom                 equ <AddAtomW>
AddConsoleAlias         equ <AddConsoleAliasW>
BeginUpdateResource     equ <BeginUpdateResourceW>
BuildCommDCBAndTimeouts equ <BuildCommDCBAndTimeoutsW>
CallNamedPipe           equ <CallNamedPipeW>
BuildCommDCB            equ <BuildCommDCBW>
CommConfigDialog        equ <CommConfigDialogW>
CompareString           equ <CompareStringW>
CopyFileEx              equ <CopyFileExW>
CopyFile                equ <CopyFileW>
CreateDirectoryEx       equ <CreateDirectoryExW>
CreateDirectory         equ <CreateDirectoryW>
CreateEvent             equ <CreateEventW>
CreateFileMapping       equ <CreateFileMappingW>
CreateFile              equ <CreateFileW>
CreateMailslot          equ <CreateMailslotW>
CreateMutex             equ <CreateMutexW>
CreateNamedPipe         equ <CreateNamedPipeW>
CreateProcess           equ <CreateProcessW>
CreateSemaphore         equ <CreateSemaphoreW>
CreateWaitableTimer     equ <CreateWaitableTimerW>
DefineDosDevice         equ <DefineDosDeviceW>
DeleteFile              equ <DeleteFileW>
EndUpdateResource       equ <EndUpdateResourceW>
EnumCalendarInfo        equ <EnumCalendarInfoW

>
EnumDateFormats         equ <EnumDateFormatsW>
EnumResourceLanguages   equ <EnumResourceLanguagesW>
EnumResourceNames       equ <EnumResourceNamesW>
EnumResourceTypes       equ <EnumResourceTypesW>
EnumSystemCodePages     equ <EnumSystemCodePagesW>
EnumSystemLocales       equ <EnumSystemLocalesW>
EnumTimeFormats         equ <EnumTimeFormatsW>
ExpandEnvironmentStrings equ <ExpandEnvironmentStringsW>
ExpungeConsoleCommandHistory equ <ExpungeConsoleCommandHistoryW>
FatalAppExit            equ <FatalAppExitW>
FillConsoleOutputCharacter equ <FillConsoleOutputCharacterW>
FindAtom                equ <FindAtomW>
FindFirstChangeNotification equ <FindFirstChangeNotificationW>
FindFirstFileEx         equ <FindFirstFileExW>
FindFirstFile           equ <FindFirstFileW>
FindNextFile            equ <FindNextFileW>
FindResourceEx          equ <FindResourceExW>
FindResource            equ <FindResourceW>
FoldString              equ <FoldStringW>
FormatMessage           equ <FormatMessageW>
FreeEnvironmentStrings  equ <FreeEnvironmentStringsW>
GetAtomName             equ <GetAtomNameW>
GetBinaryType           equ <GetBinaryTypeW>
GetCommandLine          equ <GetCommandLineW>
GetCompressedFileSize   equ <GetCompressedFileSizeW>
GetComputerName         equ <GetComputerNameW>
GetConsoleAliasExesLength equ <GetConsoleAliasExesLengthW>
GetConsoleAliasExes     equ <GetConsoleAliasExesW>
GetConsoleAlias         equ <GetConsoleAliasW>
GetConsoleAliasesLength equ <GetConsoleAliasesLengthW>
GetConsoleAliases       equ <GetConsoleAliasesW>
GetConsoleCommandHistoryLength equ <GetConsoleCommandHistoryLengthW>
GetConsoleCommandHistory equ <GetConsoleCommandHistoryW>
GetConsoleInputExeName  equ <GetConsoleInputExeNameW>
GetConsoleKeyboardLayoutName equ <GetConsoleKeyboardLayoutNameW>
GetConsoleTitle         equ <GetConsoleTitleW>
GetCurrencyFormat       equ <GetCurrencyFormatW>
GetCurrentDirectory     equ <GetCurrentDirectoryW>
GetDateFormat           equ <GetDateFormatW>
GetDefaultCommConfig    equ <GetDefaultCommConfigW>
GetDiskFreeSpaceEx      equ <GetDiskFreeSpaceExW>
GetDiskFreeSpace        equ <GetDiskFreeSpaceW>
GetDriveType            equ <GetDriveTypeW>
GetEnvironmentStrings   equ <GetEnvironmentStringsW>
GetEnvironmentVariable  equ <GetEnvironmentVariableW>
GetFileAttributesEx     equ <GetFileAttributesExW>
GetFileAttributes       equ <GetFileAttributesW>
GetFullPathName         equ <GetFullPathNameW>
GetLocaleInfo           equ <GetLocaleInfoW>
GetLogicalDriveStrings  equ <GetLogicalDriveStringsW>
GetModuleFileName       equ <GetModuleFileNameW>
GetModuleHandle         equ <GetModuleHandleW>
GetNamedPipeHandleState equ <GetNamedPipeHandleStateW>
GetNumberFormat         equ <GetNumberFormatW>
GetPrivateProfileInt    equ <GetPrivateProfileIntW>
GetPrivateProfileSectionNames equ <GetPrivateProfileSectionNamesW>
GetPrivateProfileSection equ <GetPrivateProfileSectionW>
GetPrivateProfileString equ <GetPrivateProfileStringW>
GetPrivateProfileStruct equ <GetPrivateProfileStructW>
GetProfileInt           equ <GetProfileIntW>
GetProfileSection       equ <GetProfileSectionW>
GetProfileString        equ <GetProfileStringW>
GetShortPathName        equ <GetShortPathNameW>
GetStartupInfo          equ <GetStartupInfoW>
GetStringTypeEx         equ <GetStringTypeExW>
GetStringType           equ <GetStringTypeW>
GetSystemDirectory      equ <GetSystemDirectoryW>
GetTempFileName         equ <GetTempFileNameW>
GetTempPath             equ <GetTempPathW>
GetTimeFormat           equ <GetTimeFormatW>
GetVersionEx            equ <GetVersionExW>
GetVolumeInformation    equ <GetVolumeInformationW>
GetWindowsDirectory     equ <GetWindowsDirectoryW>
GlobalAddAtom           equ <GlobalAddAtomW>
GlobalFindAtom          equ <GlobalFindAtomW>
GlobalGetAtomName       equ <GlobalGetAtomNameW>
IsBadStringPtr          equ <IsBadStringPtrW>
LCMapString             equ <LCMapStringW>
LoadLibraryEx           equ <LoadLibraryExW>
LoadLibrary             equ <LoadLibraryW>
MoveFileEx              equ <MoveFileExW>
MoveFile                equ <MoveFileW>
OpenEvent               equ <OpenEventW>
OpenFileMapping         equ <OpenFileMappingW>
OpenMutex               equ <OpenMutexW>
OpenSemaphore           equ <OpenSemaphoreW>
OpenWaitableTimer       equ <OpenWaitableTimerW>
OutputDebugString       equ <OutputDebugStringW>
PeekConsoleInput        equ <PeekConsoleInputW>
QueryDosDevice          equ <QueryDosDeviceW>
ReadDirectoryChanges    equ <ReadDirectoryChangesW>
ReadConsoleInputEx      equ <ReadConsoleInputExW>
ReadConsoleInput        equ <ReadConsoleInputW>
ReadConsoleOutputCharacter equ <ReadConsoleOutputCharacterW>
ReadConsoleOutput       equ <ReadConsoleOutputW>
ReadConsole             equ <ReadConsoleW>
RemoveDirectory         equ <RemoveDirectoryW>
ScrollConsoleScreenBuffer equ <ScrollConsoleScreenBufferW>
SearchPath              equ <SearchPathW>
SetComputerName         equ <SetComputerNameW>
SetConsoleNumberOfCommands equ <SetConsoleNumberOfCommandsW>
SetConsoleInputExeName  equ <SetConsoleInputExeNameW>
SetConsoleTitle         equ <SetConsoleTitleW>
SetCurrentDirectory     equ <SetCurrentDirectoryW>
SetDefaultCommConfig    equ <SetDefaultCommConfigW>
SetEnvironmentVariable  equ <SetEnvironmentVariableW>
SetFileAttributes       equ <SetFileAttributesW>
SetLocaleInfo           equ <SetLocaleInfoW>
SetVolumeLabel          equ <SetVolumeLabelW>
UpdateResource          equ <UpdateResourceW>
VerLanguageName         equ <VerLanguageNameW>
WaitNamedPipe           equ <WaitNamedPipeW>
WriteConsoleInputVDM    equ <WriteConsoleInputVDMW>
WriteConsoleInput       equ <WriteConsoleInputW>
WriteConsoleOutputCharacter <equ WriteConsoleOutputCharacterW>
WriteConsoleOutput      equ <WriteConsoleOutputW>
WriteConsole            equ <WriteConsoleW>
WritePrivateProfileSection equ <WritePrivateProfileSectionW>
WritePrivateProfileString equ <WritePrivateProfileStringW>
WritePrivateProfileStruct equ <WritePrivateProfileStructW>
WriteProfileSection     equ <WriteProfileSectionW>
WriteProfileString      equ <WriteProfileStringW>
lstrcat                 equ <lstrcatW>
lstrcmp                 equ <lstrcmpW>
lstrcmpi                equ <lstrcmpiW>
lstrcpy                 equ <lstrcpyW>
lstrcpyn                equ <lstrcpynW>
lstrlen                 equ <lstrlenW>

else

AddAtom                 equ <AddAtomA>
AddConsoleAlias         equ <AddConsoleAliasA>
BeginUpdateResource     equ <BeginUpdateResourceA>
BuildCommDCBAndTimeouts equ <BuildCommDCBAndTimeoutsA>
CallNamedPipe           equ <CallNamedPipeA>
BuildCommDCB            equ <BuildCommDCBA>
CommConfigDialog        equ <CommConfigDialogA>
CompareString           equ <CompareStringA>
CopyFileEx              equ <CopyFileExA>
CopyFile                equ <CopyFileA>
CreateDirectoryEx       equ <CreateDirectoryExA>
CreateDirectory         equ <CreateDirectoryA>
CreateEvent             equ <CreateEventA>
CreateFileMapping       equ <CreateFileMappingA>
CreateFile              equ <CreateFileA>
CreateMailslot          equ <CreateMailslotA>
CreateMutex             equ <CreateMutexA>
CreateNamedPipe         equ <CreateNamedPipeA>
CreateProcess           equ <CreateProcessA>
CreateSemaphore         equ <CreateSemaphoreA>
CreateWaitableTimer     equ <CreateWaitableTimerA>
DefineDosDevice         equ <DefineDosDeviceA>
DeleteFile              equ <DeleteFileA>
EndUpdateResource       equ <EndUpdateResourceA>
EnumCalendarInfo        equ <EnumCalendarInfoA>
EnumDateFormats         equ <EnumDateFormatsA>
EnumResourceLanguages   equ <EnumResourceLanguagesA>
EnumResourceNames       equ <EnumResourceNamesA>
EnumResourceTypes       equ <EnumResourceTypesA>
EnumSystemCodePages     equ <EnumSystemCodePagesA>
EnumSystemLocales       equ <EnumSystemLocalesA>
EnumTimeFormats         equ <EnumTimeFormatsA>
ExpandEnvironmentStrings equ <ExpandEnvironmentStringsA>
ExpungeConsoleCommandHistory equ <ExpungeConsoleCommandHistoryA>
FatalAppExit            equ <FatalAppExitA>
FillConsoleOutputCharacter equ <FillConsoleOutputCharacterA>
FindAtom                equ <FindAtomA>
FindFirstChangeNotification equ <FindFirstChangeNotificationA>
FindFirstFileEx         equ <FindFirstFileExA>
FindFirstFile           equ <FindFirstFileA>
FindNextFile            equ <FindNextFileA>
FindResourceEx          equ <FindResourceExA>
FindResource            equ <FindResourceA>
FoldString              equ <FoldStringA>
FormatMessage           equ <FormatMessageA>
FreeEnvironmentStrings  equ <FreeEnvironmentStringsA>
GetAtomName             equ <GetAtomNameA>
GetBinaryType           equ <GetBinaryTypeA>
GetCommandLine          equ <GetCommandLineA>
GetCompressedFileSize   equ <GetCompressedFileSizeA>
GetComputerName         equ <GetComputerNameA>
GetConsoleAliasExesLength equ <GetConsoleAliasExesLengthA>
GetConsoleAliasExes     equ <GetConsoleAliasExesA>
GetConsoleAlias         equ <GetConsoleAliasA>
GetConsoleAliasesLength equ <GetConsoleAliasesLengthA>
GetConsoleAliases       equ <GetConsoleAliasesA>
GetConsoleCommandHistoryLength equ <GetConsoleCommandHistoryLengthA>
GetConsoleCommandHistory equ <GetConsoleCommandHistoryA>
GetConsoleInputExeName  equ <GetConsoleInputExeNameA>
GetConsoleKeyboardLayoutName equ <GetConsoleKeyboardLayoutNameA>
GetConsoleTitle         equ <GetConsoleTitleA>
GetCurrencyFormat       equ <GetCurrencyFormatA>
GetCurrentDirectory     equ <GetCurrentDirectoryA>
GetDateFormat           equ <GetDateFormatA>
GetDefaultCommConfig    equ <GetDefaultCommConfigA>
GetDiskFreeSpaceEx      equ <GetDiskFreeSpaceExA>
GetDiskFreeSpace        equ <GetDiskFreeSpaceA>
GetDriveType            equ <GetDriveTypeA>
GetEnvironmentStrings   equ <GetEnvironmentStringsA>
GetEnvironmentVariable  equ <GetEnvironmentVariableA>
GetFileAttributesEx     equ GetFileAttributesExA>
GetFileAttributes       equ <GetFileAttributesA>
GetFullPathName         equ <GetFullPathNameA>
GetLocaleInfo           equ <GetLocaleInfoA>
GetLogicalDriveStrings  equ <GetLogicalDriveStringsA>
GetModuleFileName       equ <GetModuleFileNameA>
GetModuleHandle         equ <GetModuleHandleA>
GetNamedPipeHandleState equ <GetNamedPipeHandleStateA>
GetNumberFormat         equ <GetNumberFormatA>
GetPrivateProfileInt    equ <GetPrivateProfileIntA>
GetPrivateProfileSectionNames equ <GetPrivateProfileSectionNamesA>
GetPrivateProfileSection equ <GetPrivateProfileSectionA>
GetPrivateProfileString equ <GetPrivateProfileStringA>
GetPrivateProfileStruct equ <GetPrivateProfileStructA>
GetProfileInt           equ <GetProfileIntA>
GetProfileSection       equ <GetProfileSectionA>
GetProfileString        equ <GetProfileStringA>
GetShortPathName        equ <GetShortPathNameA>
GetStartupInfo          equ <GetStartupInfoA>
GetStringTypeEx         equ <GetStringTypeExA>
GetStringType           equ <GetStringTypeA>
GetSystemDirectory      equ <GetSystemDirectoryA>
GetTempFileName         equ <GetTempFileNameA>
GetTempPath             equ <GetTempPathA>
GetTimeFormat           equ <GetTimeFormatA>
GetVersionEx            equ <GetVersionExA>
GetVolumeInformation    equ <GetVolumeInformationA>
GetWindowsDirectory     equ <GetWindowsDirectoryA>
GlobalAddAtom           equ <GlobalAddAtomA>
GlobalFindAtom          equ <GlobalFindAtomA>
GlobalGetAtomName       equ <GlobalGetAtomNameA>
IsBadStringPtr          equ <IsBadStringPtrA>
LCMapString             equ <LCMapStringA>
LoadLibraryEx           equ <LoadLibraryExA>
LoadLibrary             equ <LoadLibraryA>
MoveFileEx              equ <MoveFileExA>
MoveFile                equ <MoveFileA>
OpenEvent               equ <OpenEventA>
OpenFileMapping         equ <OpenFileMappingA>
OpenMutex               equ <OpenMutexA>
OpenSemaphore           equ <OpenSemaphoreA>
OpenWaitableTimer       equ <OpenWaitableTimerA>
OutputDebugString       equ <OutputDebugStringA>
PeekConsoleInput        equ <PeekConsoleInputA>
QueryDosDevice          equ <QueryDosDeviceA>
ReadDirectoryChanges    equ <ReadDirectoryChangesA>
ReadConsoleInputEx      equ <ReadConsoleInputExA>
ReadConsoleInput        equ <ReadConsoleInputA>
ReadConsoleOutputCharacter equ <ReadConsoleOutputCharacterA>
ReadConsoleOutput       equ <ReadConsoleOutputA>
ReadConsole             equ <ReadConsoleA>
RemoveDirectory         equ <RemoveDirectoryA>
ScrollConsoleScreenBuffer equ <ScrollConsoleScreenBufferA>
SearchPath              equ <SearchPathA>
SetComputerName         equ <SetComputerNameA>
SetConsoleNumberOfCommands equ <SetConsoleNumberOfCommandsA>
SetConsoleInputExeName  equ <SetConsoleInputExeNameA>
SetConsoleTitle         equ <SetConsoleTitleA>
SetCurrentDirectory     equ <SetCurrentDirectoryA>
SetDefaultCommConfig    equ <SetDefaultCommConfigA>
SetEnvironmentVariable  equ <SetEnvironmentVariableA>
SetFileAttributes       equ <SetFileAttributesA>
SetLocaleInfo           equ <SetLocaleInfoA>
SetVolumeLabel          equ <SetVolumeLabelA>
UpdateResource          equ <UpdateResourceA>
VerLanguageName         equ <VerLanguageNameA>
WaitNamedPipe           equ <WaitNamedPipeA>
WriteConsoleInputVDM    equ <WriteConsoleInputVDMA>
WriteConsoleInput       equ <WriteConsoleInputA>
WriteConsoleOutputCharacter equ <WriteConsoleOutputCharacterA>
WriteConsoleOutput      equ <WriteConsoleOutputA>
WriteConsole            equ <WriteConsoleA>
WritePrivateProfileSection equ <WritePrivateProfileSectionA>
WritePrivateProfileString equ <WritePrivateProfileStringA>
WritePrivateProfileStruct equ <WritePrivateProfileStructA>
WriteProfileSection     equ <WriteProfileSectionA>
WriteProfileString      equ <WriteProfileStringA>
lstrcat                 equ <lstrcatA>
lstrcmp                 equ <lstrcmpA>
lstrcmpi                equ <lstrcmpiA>
lstrcpy                 equ <lstrcpyA>
lstrcpyn                equ <lstrcpynA>
lstrlen                 equ <lstrlenA>

endif
