; display directory - a small program to show the current drive and 
; directory using int 21h (example program for Turbo Assembler IDE)
; (c) 1998 Joost Vrielink

ideal
model small
stack 100h

dataseg

strbuf    db 200 dup(?)

codeseg
start:
startupcode

; Get current drive
mov ah,19h
int 21h

add al,'A'
mov di,offset strbuf
mov [byte di],al
mov [byte di+1],':'
mov [byte di+2],'\'

; Get current directory
mov ah,47h
mov si,di
add si,3
xor dl,dl
int 21h

xor cx,cx
mov di,offset strbuf
getzeropos:
inc cx
inc di
mov al, [byte di]
or al,al
jnz getzeropos
dec cx
mov [byte di],'$'

; Write ASCII$ string to standard output
mov ah,9
mov dx, offset strbuf
int 21h

exitcode
end start
